// ===========================================================================
// CONTENT  : ENUM TypeClassification
// AUTHOR   : M.Duchrow
// VERSION  : 1.1 - 13/01/2008
// HISTORY  :
//  07/01/2007  mdu  CREATED
//	13/01/2008	mdu		changed		-->	to be string based
//
// Copyright (c) 2007-2008, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem;

/**
 * Specifies the currently container types 
 *  
 * @author M.Duchrow
 * @version 1.1
 */
public enum ContainerClassification
{
	UNKNOWN("unknown"),
	NOT_FOUND("not-found"),
	JAVA_ARCHIVE("jar"),
	FILESYSTEM_FOLDER("dir"),
	COMPONENT("component");
	
	private final String name ;
	
	// -------------------------------------------------------------------------
	
	/**
	 * Returns the enum value with the given name. If none with that name can 
	 * be found null will be returned.
	 */
	public static ContainerClassification fromString( String valueName )
	{
		for (ContainerClassification classification : values() )
		{
			if ( classification.toString().equals( valueName ) )
			{
				return classification ;
			}
		}
		return null;
	} // fromString() 

	// -------------------------------------------------------------------------
	
	ContainerClassification( String str )
	{
		name = str ;
	} // ContainerClassification() 
	
	// -------------------------------------------------------------------------
	
	@Override
	public String toString()
	{
		return name ;
	} // toString() 
	
	// -------------------------------------------------------------------------
		
} 
