// ===========================================================================
// CONTENT  : INTERFACE ITypesVisitor
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 08/01/2007
// HISTORY  :
//  08/01/2007  mdu  CREATED
//
// Copyright (c) 2007, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * This interface defines one part of the "Visitor Pattern". It specifies
 * a callback method that gets invoked while iterating through objects that
 * contain IType objects.
 * Iteration immedately stops whenever visitType(IType) returns false.
 *
 * @author M.Duchrow
 * @version 1.0
 */
public interface ITypesVisitor
{ 
	/**
	 * Will be called for each IType object.
	 * 
	 * @param type The type that gets visited
	 * @return true if processing should be continued, otherwise false
	 */
	public boolean visitType( IType type ) ;

	// -------------------------------------------------------------------------
	
} // interface ITypesVisitor