// ===========================================================================
// CONTENT  : ENUM TypeClassification
// AUTHOR   : M.Duchrow
// VERSION  : 1.1 - 13/01/2009
// HISTORY  :
//  07/01/2007  mdu  CREATED
//	13/01/2008	mdu		changed	-->	to be based on strings
//
// Copyright (c) 2007-1008, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem;

/**
 * Specifies the currently supported types 
 *  
 * @author M.Duchrow
 * @version 1.1
 */
public enum TypeClassification
{
	UNKNOWN("unknown"),
	CLASS("class"),
	INTERFACE("interface"),
	ENUM("enum"),
	ANNOTATION("annotation");
	
	private final String name ;

	// -------------------------------------------------------------------------
	
	/**
	 * Returns the enum value with the given name. If none with that name can 
	 * be found null will be returned.
	 */
	public static TypeClassification fromString( String valueName )
	{
		for (TypeClassification classification : values() )
		{
			if ( classification.toString().equals( valueName ) )
			{
				return classification ;
			}
		}
		return null;
	} // fromString() 

	// -------------------------------------------------------------------------
	
	TypeClassification( String str )
	{
		name = str ;
	} // TypeClassification() 
	
	// -------------------------------------------------------------------------
	
	@Override
	public String toString()
	{
		return name ;
	} // toString() 
	
	// -------------------------------------------------------------------------
	
} 
