// ===========================================================================
// CONTENT  : ENUM Visibility
// AUTHOR   : M.Duchrow
// VERSION  : 1.1 - 16/08/2008
// HISTORY  :
//  16/08/2007  mdu  CREATED
//	13/01/2008	mdu		added		-->	fromString()
//
// Copyright (c) 2007-2008, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem;

/**
 * Specifies the currently supported types 
 *  
 * @author M.Duchrow
 * @version 1.1
 */
public enum Visibility
{
	PUBLIC ( "public" ),
	PROTECTED ( "protected" ),
	PRIVATE ( "private" ),
	DEFAULT ( "default" ) ;
	
	private final String name ;
	
	// -------------------------------------------------------------------------
	
	/**
	 * Returns the enum value with the given name. If none with that name can 
	 * be found null will be returned.
	 */
	public static Visibility fromString( String valueName )
	{
		for (Visibility classification : values() )
		{
			if ( classification.toString().equals( valueName ) )
			{
				return classification ;
			}
		}
		return null;
	} // fromString() 

	// -------------------------------------------------------------------------
	
	Visibility( String str )
	{
		name = str ;
	} // Visibility() 
	
	// -------------------------------------------------------------------------
	
	@Override
	public String toString()
	{
		return name ;
	} // toString() 
	
	// -------------------------------------------------------------------------
	
} 
